python 2.7 - 3.5 升级之路 (一) : 准备阶段开发环境 -- pip3, vitualEnv, pycharm

背景

由于之前项目采用的版本是Python2.7, 考虑到Python 2.7 到明年(2020年后将会停止更新),以及为了更好的适应中文和拥抱新的特性。我们决定将其从python 2 升级到最新的 python 3。 

实际的线上环境是Ubuntu16.04LTS,默认安装了python 2.7 & 3.5 两个版本。因此,这次的考虑实际情况后决定先升级到3.5,以后再过渡到最新的3.7.

 

使用pip3 匹配 python 3

pip 与 pip3 区别

  • 电脑同时有多个版本的 python 时,pip3 可以自动判别用 python3 来安装库,是为了避免同 python2 发生冲突。
  • 如果你的电脑仅仅安装了 python3,使用 pip 或者 pip3 是一样的。

pip install xxxxxx
新安装的库会放在后面这个目录下面:python2.7/site-packages

pip3 install xxxxxx
新安装的库会放在后面这个目录下面:python3.6/site-packages

如果使用 python3 执行程序,那么就不能 import python2.7/site-packages 中的库。

 

由于Ubuntu16.04默认安装有python 2.7 & 3.5 两个版本,所以,我们需要使用pip3来负责管理和使用python3的依赖。安装pip3的命令如下:

sudo apt-get install python3-pip

 

 

使用 virtualENV

什么是virtualenv

virtualenv是一个用于创建Python虚拟环境的工具。

虚拟环境又是什么呢?它是Python解释器的一个私有副本,在这个环境中可以安装私有包,而不会影响到系统中安装的全局Python解释器。
当一台主机上运行着多个Python应用时,使用虚拟环境可以有效的避免包的混乱和版本的冲突。

安装 virtualENV

sudo pip3 install virtualenv

 

创建virtualENV for python3 

cd somedir
virtualenv -p python3 venv3

 

 

使用 pycharm 加载 virtualENV 

加载 virtualENV , 如图

 

我们可以根据“interpreter path” 右侧的文件夹图标选择 virtualEnv 的路径 (选择:python3文件, 例如: xxx/venv3/bin/python3.5), 如图所示:

 

在pycharmd的terminal中安装开发的依赖包

首先,先将所有的依赖整理到一个 requirement.txt中,如下,

 

 

然后打开pycharm的terminal,使用pip3安装依赖包

 

完成后,pycharm 会自动感知到变更重新更新 interpreter。

 

到此,我们的开发环境准备工作完成。欢迎大家留言交流。

 

参考:

https://www.jianshu.com/p/94a047301f4a

https://blog.csdn.net/chengyq116/article/details/83794489

posted @ 2019-07-22 12:34 TonyZhang24 阅读(...) 评论(...) 编辑 收藏